# Function HexagonFactory

- HexagonFactory(
  color:
  | number
  | IndexedCollection
  | [number, number, number]
  | [number, number, number, number],
  ): typeof HexagonBase

  #### Parameters

  - color:
    | number
    | IndexedCollection
    | [number, number, number]
    | [number, number, number, number]

  #### Returns typeof HexagonBase

  - Defined in drawables/shapes/hexagon-factory.ts:23